## planaris 0.1

=== Makefile ===
# $Id: Makefile 70 2010-11-16 12:34:41Z mitrandir $

MISC_CMD := --thread --vapidir vapi/

PKGS := gtk+-2.0 sqlite3 libcurl

ifdef FREMANTLE
	DEFS := $(DEFS) FREMANTLE
	MAEMO = 1
endif
ifdef DIABLO
	DEFS := $(DEFS) DIABLO
	MAEMO = 1
	MISC_CMD := $(MISC_CMD) --vapidir=vapi/diablo
endif

ifdef MAEMO
	DEFS := $(DEFS) MAEMO
	PKGS := $(PKGS) hildon-1 dbus-glib-1 libhildonmime hildon-gtk
endif

ifdef WINDOWS
	DEFS := $(DEFS) WINDOWS
	MISC_CMD := $(MISC_CMD) --Xcc=-Isqlite --Xcc=-Lsqlite --Xcc=-lsqlite3 --Xcc=-lcurldll -v
endif

ifdef DEBUG
    MISC_CMD := $(MISC_CMD) -g
endif

ifdef GEN_C
    MISC_CMD := $(MISC_CMD) -C
endif

SOURCES = \
    Main.vala               \
    Task.vala               \
    TaskTreeModel.vala      \
    TaskCellRenderer.vala   \
    TaskDialog.vala         \
    Command.vala            \
    CommandStack.vala       \
    Saver.vala              \
    Loader.vala             \
    GtkUtil.vala            \
    LoginDialog.vala        \
    Plan.vala               \
    Sync.vala               \
    PlanWidget.vala         \
    Config.vala             \
    Util.vala               \
    PlanSelectionWindow.vala\
    PlanSetListModel.vala


DEFS_CMD := $(addprefix -D , $(DEFS))
PKGS_CMD := $(addprefix --pkg ,$(PKGS))


all: planaris

ifdef WINDOWS
planaris: $(SOURCES) sqlite/libsqlite3.a
else
planaris: $(SOURCES)
endif
	valac $(MISC_CMD) $(PKGS_CMD) $(DEFS_CMD) $(SOURCES) -o $@

ifdef WINDOWS
sqlite/libsqlite3.a: sqlite/sqlite3.c
	gcc -c sqlite/sqlite3.c -o sqlite/sqlite3.o
	ar r sqlite/libsqlite3.a sqlite/sqlite3.o
else
sqlite-win32:
	
endif

clean:
	rm -f planaris



install: planaris
	cp planaris $(DESTDIR)/usr/bin/

=== debian/changelog ===
planaris (0.1) unstable; urgency=low

  * Initial public release

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  16 Nov 2010 15:21:00 +0300

## planaris 0.1.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 70 2010-11-16 12:34:41Z mitrandir $
+# $Id: Makefile 75 2010-11-16 13:59:21Z mitrandir $
 
 MISC_CMD := --thread --vapidir vapi/
 
@@ -82,3 +82,6 @@
 
 install: planaris
 	cp planaris $(DESTDIR)/usr/bin/
+ifdef MAEMO
+	cp planaris.desktop $(DESTDIR)/usr/share/applications/hildon/
+endif

=== waittest/Makefile ===
waittest: waittest.vala
	valac -g --thread --pkg gtk+-2.0 waittest.vala

clean:
	rm -f waittest

=== debian/changelog ===
planaris (0.1.1) unstable; urgency=low

  * Desktop file for maemo added

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  16 Nov 2010 17:00:00 +0300

=== debian/control ===
Source: planaris
Section: user/office
Priority: extra
Maintainer: Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildonmime-dev, libcurl3-openssl-dev | libcurl4-openssl-dev, vala (>= 0.7.4) | valac, libsqlite3-dev
Standards-Version: 2.0

Package: planaris
Section: user/office
Architecture: any
Depends: ${shlibs:Depends}
Description: Hierarhical todo list with online sync
XB-Maemo-Display-Name: Planaris

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make clean

	dh_clean


build:
	dh_testdir

	./build


install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	./build DESTDIR=$(CURDIR)/debian/planaris install


binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch

.PHONY: clean build install build-indep binary-arch binary

## planaris 0.1.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 75 2010-11-16 13:59:21Z mitrandir $
+# $Id: Makefile 78 2010-11-17 07:00:49Z mitrandir $
 
 MISC_CMD := --thread --vapidir vapi/
 
@@ -30,6 +30,10 @@
 
 ifdef GEN_C
     MISC_CMD := $(MISC_CMD) -C
+endif
+
+ifdef OPTIMIZE
+    MISC_CMD := $(MISC_CMD) --Xcc=-O2
 endif
 
 SOURCES = \
@@ -68,7 +72,7 @@
 
 ifdef WINDOWS
 sqlite/libsqlite3.a: sqlite/sqlite3.c
-	gcc -c sqlite/sqlite3.c -o sqlite/sqlite3.o
+	gcc -O2 -c sqlite/sqlite3.c -o sqlite/sqlite3.o
 	ar r sqlite/libsqlite3.a sqlite/sqlite3.o
 else
 sqlite-win32:

=== debian/changelog ===
planaris (0.1.2) unstable; urgency=low

  * Compiler's optimization enabled

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  16 Nov 2010 17:00:00 +0300

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 build:
 	dh_testdir
 
-	./build
+	./build OPTIMIZE=1
 
 
 install:
@@ -23,7 +23,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	./build DESTDIR=$(CURDIR)/debian/planaris install
+	./build OPTIMIZE=1 DESTDIR=$(CURDIR)/debian/planaris install
 
 
 binary-indep:

## planaris 0.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 78 2010-11-17 07:00:49Z mitrandir $
+# $Id: Makefile 85 2010-11-17 08:21:07Z mitrandir $
 
 MISC_CMD := --thread --vapidir vapi/
 
@@ -21,7 +21,7 @@
 
 ifdef WINDOWS
 	DEFS := $(DEFS) WINDOWS
-	MISC_CMD := $(MISC_CMD) --Xcc=-Isqlite --Xcc=-Lsqlite --Xcc=-lsqlite3 --Xcc=-lcurldll -v
+	MISC_CMD := $(MISC_CMD) --Xcc=-mwindows --Xcc=-Isqlite --Xcc=-Lsqlite --Xcc=-lsqlite3 --Xcc=-lcurldll -v
 endif
 
 ifdef DEBUG
@@ -88,4 +88,6 @@
 	cp planaris $(DESTDIR)/usr/bin/
 ifdef MAEMO
 	cp planaris.desktop $(DESTDIR)/usr/share/applications/hildon/
+else
+	cp planaris.desktop $(DESTDIR)/usr/share/applications/
 endif

=== debian/changelog ===
planaris (0.2) unstable; urgency=low

  * Toggle button for hiding done tasks

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  23 Nov 2010 20:45:00 +0300

## planaris 0.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 85 2010-11-17 08:21:07Z mitrandir $
+# $Id: Makefile 91 2010-11-24 12:44:17Z mitrandir $
 
 MISC_CMD := --thread --vapidir vapi/
 
@@ -68,7 +68,7 @@
 else
 planaris: $(SOURCES)
 endif
-	valac $(MISC_CMD) $(PKGS_CMD) $(DEFS_CMD) $(SOURCES) -o $@
+	valac $(MISC_CMD) $(PKGS_CMD) $(DEFS_CMD) --Xcc=-DGETTEXT_PACKAGE=\"planaris\" $(SOURCES) -o $@
 
 ifdef WINDOWS
 sqlite/libsqlite3.a: sqlite/sqlite3.c
@@ -86,6 +86,7 @@
 
 install: planaris
 	cp planaris $(DESTDIR)/usr/bin/
+	cp locale/ru_RU/planaris.mo $(DESTDIR)/usr/share/locale/ru_RU/LC_MESSAGES/
 ifdef MAEMO
 	cp planaris.desktop $(DESTDIR)/usr/share/applications/hildon/
 else

=== debian/changelog ===
planaris (0.3) unstable; urgency=low

  * Russian translation

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  24 Nov 2010 16:07:00 +0300
